#ifndef ATS_OS_H
#define ATS_OS_H

#ifdef _DRIVER_

#ifdef _WIN32

#ifdef _WDF_
#include <wdf.h>
#else
#include <wdm.h>
#endif

typedef struct
{
#ifdef _WDF_
    WDFDEVICE device;
    WDFCMRESLIST res_raw;
    WDFCMRESLIST res_translated;
#else
    PDEVICE_DESCRIPTION device;
    PCM_RESOURCE_LIST res_raw;
    PCM_RESOURCE_LIST res_translated;
#endif
    BUS_INTERFACE_STANDARD bus;
} driver_os_handle_t;

#else // _WIN32

#include "at_linux_pci.h"

typedef struct
{
    struct pci_dev *device;
    char name[32];
} driver_os_handle_t;

#endif // _WIN32

#else // _DRIVER_

typedef void *driver_os_handle_t;

#endif // _DRIVER_

#endif // ATS_OS_H
